org.apache.flume.instrumentation

## Enum MonitoredCounterGroup.Type

- java.lang.Object
- - java.lang.Enum<MonitoredCounterGroup.Type>
  - - org.apache.flume.instrumentation.MonitoredCounterGroup.Type

- All Implemented Interfaces:
    Serializable, Comparable<MonitoredCounterGroup.Type>
  Enclosing class:
    MonitoredCounterGroup

      public static enum MonitoredCounterGroup.Type
      extends Enum<MonitoredCounterGroup.Type>

  Component Enum Constants Used by each component's constructor to distinguish which type the component is.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANNEL`
    `CHANNEL_PROCESSOR`
    `INTERCEPTOR`
    `OTHER`
    `SERIALIZER`
    `SINK`
    `SINK_PROCESSOR`
    `SOURCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MonitoredCounterGroup.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MonitoredCounterGroup.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOURCE

          public static final MonitoredCounterGroup.Type SOURCE

    - #### CHANNEL_PROCESSOR

          public static final MonitoredCounterGroup.Type CHANNEL_PROCESSOR

    - #### CHANNEL

          public static final MonitoredCounterGroup.Type CHANNEL

    - #### SINK_PROCESSOR

          public static final MonitoredCounterGroup.Type SINK_PROCESSOR

    - #### SINK

          public static final MonitoredCounterGroup.Type SINK

    - #### INTERCEPTOR

          public static final MonitoredCounterGroup.Type INTERCEPTOR

    - #### SERIALIZER

          public static final MonitoredCounterGroup.Type SERIALIZER

    - #### OTHER

          public static final MonitoredCounterGroup.Type OTHER

  - ### Method Detail

    - #### values

          public static MonitoredCounterGroup.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonitoredCounterGroup.Type c : MonitoredCounterGroup.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonitoredCounterGroup.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.